--- /dev/null
+Sysal-Stub installieren
+
+!|test.util.CallScript|
+|call script|sudo bin/install-sysal-stub|
+
+Anmerkung: Falls eine komplett neue Installation des sysal-stub erzwungen werden soll:
+sudo rm /etc/apache2/sites-available/sysal_stub.conf
+ausführen.
--- /dev/null
+<?xml version="1.0"?>
+<properties>
+ <Edit>true</Edit>
+ <Files>true</Files>
+ <Properties>true</Properties>
+ <RecentChanges>true</RecentChanges>
+ <Refactor>true</Refactor>
+ <Search>true</Search>
+ <Test/>
+ <Versions>true</Versions>
+ <WhereUsed>true</WhereUsed>
+</properties>
--- /dev/null
+Install Watchdog
+
+!|test.util.CallScript|
+|call script|xfhem define watchdog localhost|
+
+Entferne Sysal-Stub-Output
+|call script|!-sudo rm /var/test/sysal-stub.out || true -!|
+
+Verkürze Zeit
+|call script|/opt/fhem/fhem.pl 7072 "modify watchdog +*00:00:05"|
+
+Warte Auslösezeit
+|call script|sleep 6|
+
+Prüfe Watchdog
+|call script|grep rwd /var/test/sysal-stub.out|
+
+Entferne Watchdog
+|call script|xfhem delete watchdog|
+
--- /dev/null
+<?xml version="1.0"?>
+<properties>
+ <Edit>true</Edit>
+ <Files>true</Files>
+ <Properties>true</Properties>
+ <RecentChanges>true</RecentChanges>
+ <Refactor>true</Refactor>
+ <Search>true</Search>
+ <Test>true</Test>
+ <Versions>true</Versions>
+ <WhereUsed>true</WhereUsed>
+</properties>
--- /dev/null
+#!contents -R2 -g -p -f -h
+!contents
--- /dev/null
+<?xml version="1.0"?>
+<properties>
+ <Edit/>
+ <Files/>
+ <Help></Help>
+ <Properties/>
+ <RecentChanges/>
+ <Refactor/>
+ <Search/>
+ <Suite/>
+ <Suites></Suites>
+ <Versions/>
+ <WhereUsed/>
+</properties>
--- /dev/null
+#!/bin/bash
+set -e
+
+# test if apache-conf already installed
+if [ -e /etc/apache2/sites-enabled/sysal_stub.conf ]
+then
+ exit
+fi
+
+mkdir -p /var/test
+chmod 777 /var/test
+
+cwd=$(pwd)
+# write apache conf
+echo "# Apache conf for sysal stub
+Alias /sysal/rest/AlarmInterface/RemoteWatchdog $cwd/bin/sysal-stub.pl
+<Directory $cwd/bin>
+ Require all granted
+ Options +ExecCGI
+ AddHandler cgi-script .pl
+</Directory>
+" > /etc/apache2/sites-available/sysal_stub.conf
+a2ensite sysal_stub
+a2enmod cgi
+
+systemctl restart apache2
+
--- /dev/null
+#!/usr/bin/perl -w
+
+print "Content-type: text/html\n\n";
+print "<html><body>\n";
+
+
+open (OUT, ">/var/test/sysal-stub.out");
+while (my $line = <STDIN>) {
+ print OUT "$line\n";
+ print "$line\n";
+}
+
+print "</body></html>\n";
+
+++ /dev/null
-Sysal-Stub installieren
-
-!|test.util.CallScript|
-|call script|sudo bin/install-sysal-stub|
-
-Anmerkung: Falls eine komplett neue Installation des sysal-stub erzwungen werden soll:
-sudo rm /etc/apache2/sites-available/sysal_stub.conf
-ausführen.
+++ /dev/null
-<?xml version="1.0"?>
-<properties>
- <Edit>true</Edit>
- <Files>true</Files>
- <Properties>true</Properties>
- <RecentChanges>true</RecentChanges>
- <Refactor>true</Refactor>
- <Search>true</Search>
- <Test/>
- <Versions>true</Versions>
- <WhereUsed>true</WhereUsed>
-</properties>
+++ /dev/null
-Install Watchdog
-
-!|test.util.CallScript|
-|call script|xfhem define watchdog localhost|
-
-Entferne Sysal-Stub-Output
-|call script|!-sudo rm /var/test/sysal-stub.out || true -!|
-
-Verkürze Zeit
-|call script|/opt/fhem/fhem.pl 7072 "modify watchdog +*00:00:05"|
-
-Warte Auslösezeit
-|call script|sleep 6|
-
-Prüfe Watchdog
-|call script|grep rwd /var/test/sysal-stub.out|
-
-Entferne Watchdog
-|call script|xfhem delete watchdog|
-
+++ /dev/null
-<?xml version="1.0"?>
-<properties>
- <Edit>true</Edit>
- <Files>true</Files>
- <Properties>true</Properties>
- <RecentChanges>true</RecentChanges>
- <Refactor>true</Refactor>
- <Search>true</Search>
- <Test>true</Test>
- <Versions>true</Versions>
- <WhereUsed>true</WhereUsed>
-</properties>
+++ /dev/null
-#!contents -R2 -g -p -f -h
-!contents
+++ /dev/null
-<?xml version="1.0"?>
-<properties>
- <Edit/>
- <Files/>
- <Help></Help>
- <Properties/>
- <RecentChanges/>
- <Refactor/>
- <Search/>
- <Suite/>
- <Suites></Suites>
- <Versions/>
- <WhereUsed/>
-</properties>
+++ /dev/null
-#!/bin/bash
-set -e
-
-# test if apache-conf already installed
-if [ -e /etc/apache2/sites-enabled/sysal_stub.conf ]
-then
- exit
-fi
-
-mkdir -p /var/test
-chmod 777 /var/test
-
-cwd=$(pwd)
-# write apache conf
-echo "# Apache conf for sysal stub
-Alias /sysal/rest/AlarmInterface/RemoteWatchdog $cwd/bin/sysal-stub.pl
-<Directory $cwd/bin>
- Require all granted
- Options +ExecCGI
- AddHandler cgi-script .pl
-</Directory>
-" > /etc/apache2/sites-available/sysal_stub.conf
-a2ensite sysal_stub
-a2enmod cgi
-
-systemctl restart apache2
-
+++ /dev/null
-#!/usr/bin/perl -w
-
-print "Content-type: text/html\n\n";
-print "<html><body>\n";
-
-
-open (OUT, ">/var/test/sysal-stub.out");
-while (my $line = <STDIN>) {
- print OUT "$line\n";
- print "$line\n";
-}
-
-print "</body></html>\n";
-
rsync -a --delete --exclude='.git' Downloads/timetracker/ $1/usr/share/php/timetracker/
mkdir -p $1/etc/apache2/sites-available
-cp debian/timetracker.conf $1/etc/apache2/sites-available/
+cp timetracker/timetracker.conf $1/etc/apache2/sites-available/
mkdir -p $1/usr/share/doc/timetracker
cp Downloads/timetracker/license.txt $1/usr/share/doc/timetracker/copyright
if [ -d timetracker ]
then
cd timetracker
- git fetch -t
+ git pull origin $(git rev-parse --abbrev-ref HEAD)
else
git clone https://github.com/anuko/timetracker
cd timetracker
# determine version
version=$(grep "APP_VERSION" initialize.php |sed 's/define("APP_VERSION", "//' |sed 's/".*//')
echo $version
-echo "version=$version" >> ../../debian/setenv.sh
+echo "export version=$version" >> ../../debian/setenv.sh
+echo "version=$version" >> ../../debian/rules.pre